"
 COPYRIGHT (c) 2012-2013 by Jan Vrany
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libscm/mercurial' }"

Object subclass:#HGChange
	instanceVariableNames:'changeset path'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Mercurial-Core'
!

HGChange subclass:#Added
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	privateIn:HGChange
!

HGChange subclass:#Copied
	instanceVariableNames:'source'
	classVariableNames:''
	poolDictionaries:''
	privateIn:HGChange
!

HGChange subclass:#Modified
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	privateIn:HGChange
!

HGChange subclass:#Removed
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	privateIn:HGChange
!

!HGChange class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2012-2013 by Jan Vrany
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!HGChange class methodsFor:'instance creation'!

newAdded
    ^Added new

    "Created: / 05-12-2012 / 17:20:28 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

newCopied
    ^Copied new

    "Created: / 05-12-2012 / 17:20:35 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

newModified
    ^Modified new

    "Created: / 05-12-2012 / 17:20:49 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

newRemoved
    ^Removed new

    "Created: / 05-12-2012 / 17:20:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGChange methodsFor:'accessing'!

changeset
    ^ changeset
!

entry
    ^ changeset / path

    "Modified: / 05-12-2012 / 17:17:08 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

path
    ^ path
! !

!HGChange methodsFor:'initialization'!

setChangeset: anHGChangeset path: aString
    changeset := anHGChangeset.
    path := aString

    "Created: / 05-12-2012 / 17:18:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGChange methodsFor:'testing'!

isAdded
    ^ false
!

isCopied
    ^ false
!

isModified
    ^ false
!

isRemoved
    ^ false
! !

!HGChange::Added methodsFor:'testing'!

isAdded
    ^ true
! !

!HGChange::Copied methodsFor:'accessing'!

source
    ^ source
! !

!HGChange::Copied methodsFor:'initialization'!

setSource: aString
    source := aString

    "Created: / 05-12-2012 / 17:19:33 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGChange::Copied methodsFor:'testing'!

isCopied
    ^ true
! !

!HGChange::Modified methodsFor:'testing'!

isModified
    ^ true
! !

!HGChange::Removed methodsFor:'testing'!

isRemoved
    ^ true
! !

!HGChange class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

