"
 COPYRIGHT (c) 2012-2013 by Jan Vrany
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libscm/mercurial' }"

Object subclass:#HGPushPullInfo
	instanceVariableNames:'numChangesets numChanges numFiles numHeads'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Mercurial-Core'
!

!HGPushPullInfo class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2012-2013 by Jan Vrany
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!HGPushPullInfo class methodsFor:'instance creation'!

new
    "return an initialized instance"

    ^ self basicNew initialize.
! !

!HGPushPullInfo methodsFor:'accessing'!

numChanges
    ^ numChanges
!

numChangesets
    ^ numChangesets
!

numFiles
    ^ numFiles
!

numHeads
    ^ numHeads
! !

!HGPushPullInfo methodsFor:'initialization'!

initialize
    "Invoked when a new instance is created."

    numChangesets := 0.
    numChanges := 0.
    numFiles := 0.
    numHeads := 0.

    "/ super initialize.   -- commented since inherited method does nothing

    "Modified: / 05-02-2013 / 09:39:48 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setNumChanges: anInteger
    numChanges := anInteger

    "Created: / 04-02-2013 / 15:21:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setNumChangesets: anInteger
    numChangesets := anInteger

    "Created: / 04-02-2013 / 15:21:37 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setNumFiles: anInteger
    numFiles := anInteger

    "Created: / 04-02-2013 / 15:21:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setNumHeads: anInteger
    numHeads := anInteger

    "Created: / 05-02-2013 / 09:39:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGPushPullInfo methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    aStream nextPutAll: 'added '.
    numChangesets printOn: aStream.
    aStream nextPutAll: ' changesets with  '.
    numChanges printOn: aStream.
    aStream nextPutAll: ' changes to '.
    numFiles printOn: aStream.
    aStream nextPutAll: ' files'.

    "Modified: / 04-02-2013 / 15:28:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!HGPushPullInfo class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

